#version 400 core

in vec2 pass_texCoords;

out vec4 outColor;

uniform sampler2D text;
uniform vec3 textColor;

void main() {
    float alpha = texture(text, pass_texCoords).r;
    outColor = vec4(textColor, alpha);
}
